%define module	sphinx_rtd_theme

Name:		python-%{module}
Version:	0.4.3
Release:	%mkrel 4
Summary:	Sphinx theme for readthedocs.org
Group:		Development/Python
License:	MIT
URL:		https://github.com/snide/sphinx_rtd_theme
Source0:	https://pypi.io/packages/source/s/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)

%description
This is a prototype mobile-friendly sphinx theme for readthedocs.org.
It's currently in development and includes some rtd variable checks that
can be ignored if you're just trying to use it on your project outside
of that site.

%package -n	python3-%{module}
Summary:	Sphinx theme for readthedocs.org
Group:		Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
This is a prototype mobile-friendly sphinx theme for readthedocs.org.
It's currently in development and includes some rtd variable checks that
can be ignored if you're just trying to use it on your project outside
of that site.

%prep
%setup -q -n %{module}-%{version}

# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{module}
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.4.3-4.mga8
+ Revision: 1530940
- Mageia 8 Mass Rebuild

* Fri Sep 06 2019 wally <wally> 0.4.3-3.mga8
+ Revision: 1437882
- rebuild for python3.8

* Sun Aug 04 2019 wally <wally> 0.4.3-2.mga8
+ Revision: 1427259
- drop python2 support

* Fri Feb 15 2019 daviddavid <daviddavid> 0.4.3-1.mga7
+ Revision: 1367148
- new version: 0.4.3

* Sat Jan 05 2019 wally <wally> 0.4.2-2.mga7
+ Revision: 1349680
- rebuild for python3.7

* Wed Oct 10 2018 daviddavid <daviddavid> 0.4.2-1.mga7
+ Revision: 1319190
- new version: 0.4.2

* Thu Sep 20 2018 umeabot <umeabot> 0.4.1-2.mga7
+ Revision: 1290203
- Mageia 7 Mass Rebuild

* Sat Jul 28 2018 daviddavid <daviddavid> 0.4.1-1.mga7
+ Revision: 1245691
- new version: 0.4.1

* Mon Jun 11 2018 daviddavid <daviddavid> 0.4.0-1.mga7
+ Revision: 1236243
- new version: 0.4.0

* Thu May 03 2018 daviddavid <daviddavid> 0.3.1-1.mga7
+ Revision: 1225477
- new version: 0.3.1

* Mon Apr 16 2018 kekepower <kekepower> 0.3.0-2.mga7
+ Revision: 1219201
- Create and use py3dir
- Use python_provide

* Sat Apr 07 2018 daviddavid <daviddavid> 0.3.0-1.mga7
+ Revision: 1215851
- new version: 0.3.0

* Sun Aug 27 2017 daviddavid <daviddavid> 0.2.4-1.mga7
+ Revision: 1148270
- new version: 0.2.4
- rename python-sphinx_rtd_theme to python2-sphinx_rtd_theme

* Thu Aug 03 2017 tv <tv> 0.1.9-3.mga7
+ Revision: 1134482
- rebuild for new python
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Nov 25 2015 daviddavid <daviddavid> 0.1.9-1.mga6
+ Revision: 905886
- new version: 0.1.9

* Wed Oct 07 2015 daviddavid <daviddavid> 0.1.8-2.mga6
+ Revision: 886869
- rebuild for python 3.5
- use new python macros

* Thu Jul 16 2015 daviddavid <daviddavid> 0.1.8-1.mga6
+ Revision: 854595
- imported package python-sphinx_rtd_theme (based on Fedora)


* Thu Jul  3 2014 Jerry James <loganjerry@gmail.com> - 0.1.6-1
- Initial RPM
